package com.cloudcross.ssp.model;

import java.util.Date;

public class ClientAccount {

	private Long id;
	private String accountName;
	private String companyName;
	private String linkMan;
	private String mobilePhone;
	private String tel;
	private Integer sysType;
	private Integer status;
	private Date loginTime;
	private String homePage;
	private String zip;
	private String email;
	private String title;
	private String password;
	private String address;
	private String bank;
	private String bankAccountName;
	private String bankAccount;
	private Long agentId;
	private Long operatorId;
	private Long adminId;
	
	public Long getAdminId() {
		return adminId;
	}
	public void setAdminId(Long adminId) {
		this.adminId = adminId;
	}
	public Long getAgentId() {
		return agentId;
	}
	public void setAgentId(Long agentId) {
		this.agentId = agentId;
	}
	public Long getOperatorId() {
		return operatorId;
	}
	public void setOperatorId(Long operatorId) {
		this.operatorId = operatorId;
	}
	public String getBankAccountName() {
		return bankAccountName;
	}
	public void setBankAccountName(String bankAccountName) {
		this.bankAccountName = bankAccountName;
	}
	public String getBankAccount() {
		return bankAccount;
	}
	public void setBankAccount(String bankAccount) {
		this.bankAccount = bankAccount;
	}
	public String getBank() {
		return bank;
	}
	public void setBank(String bank) {
		this.bank = bank;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getHomePage() {
		return homePage;
	}
	public void setHomePage(String homePage) {
		this.homePage = homePage;
	}
	public String getZip() {
		return zip;
	}
	public void setZip(String zip) {
		this.zip = zip;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getAccountName() {
		return accountName;
	}
	public void setAccountName(String accountName) {
		this.accountName = accountName;
	}
	public String getCompanyName() {
		return companyName;
	}
	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}
	public String getLinkMan() {
		return linkMan;
	}
	public void setLinkMan(String linkMan) {
		this.linkMan = linkMan;
	}
	public String getMobilePhone() {
		return mobilePhone;
	}
	public void setMobilePhone(String mobilePhone) {
		this.mobilePhone = mobilePhone;
	}
	public String getTel() {
		return tel;
	}
	public void setTel(String tel) {
		this.tel = tel;
	}
	public Integer getSysType() {
		return sysType;
	}
	public void setSysType(Integer sysType) {
		this.sysType = sysType;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public Date getLoginTime() {
		return loginTime;
	}
	public void setLoginTime(Date loginTime) {
		this.loginTime = loginTime;
	}
	@Override
	public String toString() {
		return "ClientAccount [id=" + id + ", accountName=" + accountName
				+ ", companyName=" + companyName + ", linkMan=" + linkMan
				+ ", mobilePhone=" + mobilePhone + ", tel=" + tel
				+ ", sysType=" + sysType + ", status=" + status
				+ ", loginTime=" + loginTime + ", homePage=" + homePage
				+ ", zip=" + zip + ", email=" + email + ", title=" + title
				+ ", password=" + password + ", address=" + address + ", bank="
				+ bank + ", bankAccountName=" + bankAccountName
				+ ", bankAccount=" + bankAccount + ", agentId=" + agentId
				+ ", operatorId=" + operatorId + ", getAgentId()="
				+ getAgentId() + ", getOperatorId()=" + getOperatorId()
				+ ", getBankAccountName()=" + getBankAccountName()
				+ ", getBankAccount()=" + getBankAccount() + ", getBank()="
				+ getBank() + ", getAddress()=" + getAddress()
				+ ", getPassword()=" + getPassword() + ", getHomePage()="
				+ getHomePage() + ", getZip()=" + getZip() + ", getEmail()="
				+ getEmail() + ", getTitle()=" + getTitle() + ", getId()="
				+ getId() + ", getAccountName()=" + getAccountName()
				+ ", getCompanyName()=" + getCompanyName() + ", getLinkMan()="
				+ getLinkMan() + ", getMobilePhone()=" + getMobilePhone()
				+ ", getTel()=" + getTel() + ", getSysType()=" + getSysType()
				+ ", getStatus()=" + getStatus() + ", getLoginTime()="
				+ getLoginTime() + ", getClass()=" + getClass()
				+ ", hashCode()=" + hashCode() + ", toString()="
				+ super.toString() + "]";
	}

}
